# $Revision: 1.22 $, $Date: 2006/11/26 16:38:05 $
Summary:	Library libgpg-error
Summary(pl):	Biblioteka libgpg-error
Name:		libgpg-error
Version:	1.4
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
# Source0-md5:	2ea1e25b7a6f9365c969403af4a6dbc5
Patch0:		%{name}-pl.po-update.patch
URL:		http://www.gnupg.org/related_software/libgpg-error/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	gettext-devel >= 0.14.5
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

%description -l pl
libgpg-error jest bibliotek definiujc wartoci bdw wsplne dla
komponentw GnuPG. S wrd nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszoci.

%package devel
Summary:	Header files for libgpg-error
Summary(pl):	Pliki nagwkowe dla libgpg-error
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the header files needed to develop programs that
use these libgpg-error.

%description devel -l pl
libgpg-error jest bibliotek definiujc wartoci bdw wsplne dla
komponentw GnuPG. S wrd nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszoci.

Pakiet zawiera pliki nagwkowe niezbdne do kompilowania programw
uywajcych biblioteki libgpg-error.

%package static
Summary:	Static version of libgpg-error library
Summary(pl):	Statyczna wersja biblioteki libgpg-error
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the static libgpg-error libraries.

%description static -l pl
libgpg-error jest bibliotek definiujc wartoci bdw wsplne dla
komponentw GnuPG. S wrd nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszoci.

Pakiet zawiera statyczne biblioteki libgpg-error.

%prep
%setup -q
%patch0 -p1

rm -f po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libgpg-error.so.*.*.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib}; echo libgpg-error.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libgpg-error.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog NEWS AUTHORS
%attr(755,root,root) %{_bindir}/gpg-error
%attr(755,root,root) /%{_lib}/libgpg-error.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpg-error-config
%attr(755,root,root) %{_libdir}/libgpg-error.so
%{_libdir}/libgpg-error.la
%{_includedir}/*.h
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libgpg-error.a

#%files... lisp or -n lisp-%{name} ???
#%defattr(644,root,root,755)
#%{_datadir}/common-lisp/gpg-error*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgpg-error.spec,v $
Revision 1.22  2006/11/26 16:38:05  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.21  2006/09/15 18:14:13  qboosh
- updated to 1.4

Revision 1.20  2006/03/17 21:42:22  qboosh
- updated to 1.3, updated pl.po-update patch

Revision 1.19  2006/03/04 21:57:15  qboosh
- updated to 1.2, updated pl.po-update patch

Revision 1.18  2005/08/28 13:58:44  qboosh
- more specific URL

Revision 1.17  2005/06/23 20:01:41  qboosh
- updated to 1.1 (bugfixes)

Revision 1.16  2005/03/26 23:43:27  mmazur
- rel 5 for th

Revision 1.15  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.14  2004/11/19 23:52:09  qboosh
- only shared lib goes to /%{_lib}, the rest remains in /usr; release 4

Revision 1.13  2004/11/16 15:09:38  wrobell
- fix multi arch problem

Revision 1.12  2004/11/16 12:45:50  wrobell
- move to /lib (for mount dm crypt support)
- rel. 2

Revision 1.11  2004/08/18 22:46:10  qboosh
- updated to 1.0 (no longer alpha)
- removed obsolete pl.po and am18 patch, added pl.po-update patch

Revision 1.10  2004/04/01 19:12:49  qboosh
- rm stamp-po to package pl.gmo; release 2

Revision 1.9  2004/03/08 22:12:38  qboosh
- added gpg-error utility (try: gpg-error 42)

Revision 1.8  2004/03/08 21:30:41  qboosh
- updated to 0.7, updated pl.po

Revision 1.7  2004/02/15 22:57:54  qboosh
- added pl.po, strict internal deps, release 3

Revision 1.6  2003/12/18 09:19:51  wiget
- quotation fix in gpg-error.m4
- release 2

Revision 1.5  2003/11/14 21:37:46  qboosh
- updated to 0.6

Revision 1.4  2003/10/07 19:50:06  qboosh
- 0.5

Revision 1.3  2003/09/07 00:54:23  qboosh
- updated to 0.4, fixed License

Revision 1.2  2003/08/03 10:23:07  qboosh
- updated to 0.3, fixed BR (gettext-devel, not texinfo)

Revision 1.1  2003/06/07 09:22:35  trojan
- initial revision
